package co.hyperverge.hypersnapsdk.hypersnapsdk_flutter;

import java.util.HashMap;
import java.util.Map;

public class FLHyperSnapParams {
    public static final String REGION_INDIA = "Region.India";
    public static final String REGION_ASIA_PACIFIC = "Region.AsiaPacific";
    public static final String REGION_UNITED_STATES = "Region.UnitedStates";
    public static final String PRODUCT_FACEID = "Product.FACEID";
    public static final String PRODUCT_IAM = "Product.IAM";
    public static final String DOCUMENT_CARD = "Document.CARD";
    public static final String DOCUMENT_A_4 = "Document.A4";
    public static final String DOCUMENT_PASSPORT = "Document.PASSPORT";
    public static final String DOCUMENT_OTHER = "Document.OTHER";
    public static final String LIVENESS_MODE_NONE = "LivenessMode.NONE";
    public static final String LIVENESS_MODE_TEXTURELIVENESS = "LivenessMode.TEXTURELIVENESS";
    public static final String DOCUMENT_FRONT = "HVDocConfig.DocumentSide.FRONT";
    public static final String DOCUMENT_BACK = "HVDocConfig.DocumentSide.BACK";
    static final String GET_VALID_PARAMS = "getValidParams";

    public Map<String, Object> getConstants() {
        final Map<String, Object> constants = new HashMap<>();
        constants.put("RegionIndia", REGION_INDIA);
        constants.put("RegionAsiaPacific", REGION_ASIA_PACIFIC);
        constants.put("RegionUnitedStates", REGION_UNITED_STATES);
        constants.put("ProductFaceID", PRODUCT_FACEID);
        constants.put("ProductIAM", PRODUCT_IAM);
        constants.put("DocumentTypeCard", DOCUMENT_CARD);
        constants.put("DocumentTypeA4", DOCUMENT_A_4);
        constants.put("DocumentTypePassport", DOCUMENT_PASSPORT);
        constants.put("DocumentTypeOther", DOCUMENT_OTHER);
        constants.put("LivenessModeNone", LIVENESS_MODE_NONE);
        constants.put("LivenessModeTextureLiveness", LIVENESS_MODE_TEXTURELIVENESS);
        constants.put("LivenessModeTextureAndGestureLiveness", LIVENESS_MODE_TEXTURELIVENESS);
        constants.put("DocumentFront", DOCUMENT_FRONT);
        constants.put("DocumentBack", DOCUMENT_BACK);
        return constants;
    }
}
