//
//  FLHyperSnapParams.swift
//

import Foundation

public class FLHyperSnapParams {
    static var GET_VALID_PARAMS = "getValidParams";

    public static var RegionIndia = "Region.India"
    public static var RegionAsiaPacific = "Region.AsiaPacific"
    public static var RegionUnitedStates = "Region.UnitedStates"
    public static var ProductFACEID = "Product.FACEID"
    public static var ProductIAM = "Product.IAM"
    public static var DocumentCARD = "Document.CARD"
    public static var DocumentA4 = "Document.A4"
    public static var DocumentPASSPORT = "Document.PASSPORT"
    public static var DocumentOTHER = "Document.OTHER"
    public static var LivenessModeNONE = "LivenessMode.NONE"
    public static var LivenessModeTEXTURELIVENESS = "LivenessMode.TEXTURELIVENESS"
    public static var LivenessModeTEXTUREANDGESTURELIVENESS = "LivenessMode.TEXTUREANDGESTURELIVENESS"
    public static var DocumentFront = "HVDocConfig.DocumentSide.FRONT"
    public static var DocumentBack = "HVDocConfig.DocumentSide.BACK"
    
    public static func getConstants() -> [String : String] {
        let constants = [
            "RegionIndia" : FLHyperSnapParams.RegionIndia,
            "RegionAsiaPacific" : FLHyperSnapParams.RegionAsiaPacific,
            "RegionUnitedStates" : FLHyperSnapParams.RegionUnitedStates,
            "ProductFaceID" : FLHyperSnapParams.ProductFACEID,
            "ProductIAM" : FLHyperSnapParams.ProductIAM,
            "DocumentTypeCard" : FLHyperSnapParams.DocumentCARD,
            "DocumentTypeA4" : FLHyperSnapParams.DocumentA4,
            "DocumentTypePassport" : FLHyperSnapParams.DocumentPASSPORT,
            "DocumentTypeOther" : FLHyperSnapParams.DocumentOTHER,
            "LivenessModeNone" : FLHyperSnapParams.LivenessModeNONE,
            "LivenessModeTextureLiveness" : FLHyperSnapParams.LivenessModeTEXTURELIVENESS,
            "LivenessModeTextureAndGestureLiveness" : FLHyperSnapParams.LivenessModeTEXTUREANDGESTURELIVENESS,
            "DocumentFront" : FLHyperSnapParams.DocumentFront,
            "DocumentBack" : FLHyperSnapParams.DocumentBack,
        ]
        
        return constants
    }
}
