#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint hypersnapsdk_flutter.podspec` to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'hypersnapsdk_flutter'
  s.version          = '0.0.1'
  s.summary          = 'HyperSnapSDK flutter plugin'
  s.static_framework = true
  s.description      = <<-DESC
A new Flutter plugin.
                       DESC
  s.homepage         = 'https://hyperverge.co/'
  s.license          = { :file => '../LICENSE' }
  s.author           = { 'Hyperverge' => 'vishnu@hyperverge.co' }
  s.source           = { :path => '.' }
  s.source_files = 'Classes/**/*'
  s.dependency 'Flutter'
  s.dependency 'HyperSnapSDK'
  s.dependency 'HyperSnapInstructions'
  s.platform = :ios, '8.0'

  # Need these lines to support HyperSnapSDK framework
  s.preserve_paths = 'HyperSnapSDK.framework'
  s.xcconfig = { 'OTHER_LDFLAGS' => '-framework HyperSnapSDK' }
  s.vendored_frameworks = 'HyperSnapSDK.framework'


  # Flutter.framework does not contain a i386 slice.
  # s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' =>
  # 'i386' }
  # s.swift_version = '5.0'
end
