import 'package:flutter/services.dart';

import 'HVMethodCallStrings.dart';

class HVQRScanCapture {
  static const MethodChannel _hvQRScanCaptureChannel =
      const MethodChannel(HVMethodCallStrings.QR_SCAN_CAPTURE_CHANNEL);

  /// qrScanCaptureStart() is used to start qr scan activity/view inside the client's application
  ///
  /// params :
  /// returns :
  ///     Future<Map>, contains the response of qrscan from native functions
  static Future<Map> qrScanCaptureStart() async {
    final Map map = await _hvQRScanCaptureChannel
        .invokeMethod(HVMethodCallStrings.QR_SCAN_CAPTURE_START);
    return map;
  }
}
