//
//  FLHVNetworkHelper.swift
//

import Foundation
import HyperSnapSDK

public class FLHVNetworkHelper{
    
    static var NETWORK_HELPER_MAKE_OCR_CALL = "networkHelperMakeOCRCall";
      static var NETWORK_HELPER_MAKE_FACE_MATCH_CALL = "networkHelperMakeFaceMatchCall";
    
    static func makeOCRCall(context: UIViewController, endpoint: String, documentUri: String, parameters: NSDictionary, headers: NSDictionary, callback: @escaping ((HVError?,HVResponse?)->Void)){
        
        HVNetworkHelper.makeOCRAPICall(endpoint: endpoint, documentUri: documentUri, parameters: parameters as? [String : AnyObject], headers: headers as? [String : String], completionHandler: callback)
         
    }
    
    static func makeFaceMatchCall(context: UIViewController, endpoint: String, faceUri: String, documentUri: String, parameters: NSDictionary, headers: NSDictionary, callback: @escaping ((HVError?,HVResponse?)->Void)){
//        HVNetworkHelper.makeFaceMatchAPICall(endpoint: endpoint, image1: faceUri, image2: documentUri, faceMatchMode: HyperSnapParams.FaceMatchMode.Face_Id, parameters: parameters as? [String : AnyObject], headers: headers as? [String : String], completionHandler: callback)
        HVNetworkHelper.makeFaceMatchCall(faceUri: faceUri, documentUri: documentUri, parameters: parameters as? [String : AnyObject], headers: headers as? [String : String], completionHandler: callback)

       
    }

    
}

