class HVMethodCallStrings {
  static const String HYPERSNAP_SDK_CHANNEL = "hyperSnapSDK";
  static const String HYPERSNAP_PARAMS_CHANNEL = "hyperSnapParams";
  static const String NETWORK_HELPER_CHANNEL = "hvNetworkHelper";
  static const String DOCS_CAPTURE_CHANNEL = "hvDocsCapture";
  static const String FACE_CAPTURE_CHANNEL = "hvFaceCapture";
  static const String QR_SCAN_CAPTURE_CHANNEL = "hvQRScanCapture";

  //Hypersnapsdk.dart strings
  static const String INITIALIZE = "initialize";
  static const String INITIALIZE_WITH_TOKEN = "initializeWithToken";
  static const String SET_SHOULD_ENABLE_SSL_PINNING =
      "setShouldEnableSSLPinning";
  static const String SET_SHOULD_USE_SIGNATURE = "setShouldUseSignature";
  static const String SET_HTTPS_TIMEOUT_VALUES = "setHttpTimeoutValues";
  static const String SORT_JSON_KEYS_ALPHABETICALLY =
      "sortJSONKeysAlphabetically";
  static const String SET_SHOULD_RETURN_RAW_RESPONSE =
      "setShouldReturnRawResponse";
  static const String START_USER_SESSION = "startUserSession";
  static const String END_USER_SESSION = "endUserSession";

  //HVHyperSnapParams.dart strings
  static const String GET_VALID_PARAMS = "getValidParams";

  //HVNetworkHelper.dart strings
  static const String NETWORK_HELPER_MAKE_OCR_CALL = "networkHelperMakeOCRCall";
  static const String NETWORK_HELPER_MAKE_FACE_MATCH_CALL =
      "networkHelperMakeFaceMatchCall";

  //HVQRScanCapture.dart
  static const String QR_SCAN_CAPTURE_START = "qrScanCaptureStart";

  //HVDocsCapture.dart strings
  static const String DOCS_CAPTURE_SET_OCR_API_DETAILS =
      "docsCaptureSetOCRAPIDetails";
  static const String DOCS_CAPTURE_SET_ASPECT_RATIO =
      "docsCaptureSetAspectRatio";
  static const String DOCS_CAPTURE_SET_SHOULD_ADD_PADDING =
      "docsCaptureSetShouldAddPadding";
  static const String DOCS_CAPTURE_SET_SHOULD_SHOW_FLASH_ICON =
      "docsCaptureSetShouldShowFlashIcon";
  static const String DOCS_CAPTURE_SET_SHOULD_SHOW_REVIEW_SCREEN =
      "docsCaptureSetShouldShowReviewScreen";
  static const String DOCS_CAPTURE_SET_DOC_CAPTURE_SUB_TEXT =
      "docsCaptureSetDocCaptureSubText";
  static const String DOCS_CAPTURE_SET_DOC_CAPTURE_DESCRIPTION =
      "docsCaptureSetDocCaptureDescription";
  static const String DOCS_CAPTURE_SET_SHOULD_SHOW_INSTRUCTION_PAGE =
      "docsCaptureSetShouldShowInstructionPage";
  static const String DOCS_CAPTURE_SET_DOCUMENT_TYPE =
      "docsCaptureSetDocumentType";
  static const String DOCS_CAPTURE_SET_DOC_CAPTURE_TITLE =
      "docsCaptureSetDocCaptureTitle";
  static const String DOCS_CAPTURE_SET_DOC_REVIEW_TITLE =
      "docsCaptureSetDocReviewTitle";
  static const String DOCS_CAPTURE_SET_DOC_REVIEW_DESCRIPTION =
      "docsCaptureSetDocReviewDescription";
  static const String DOCS_CAPTURE_SET_SHOULD_ENABLE_RETRIES =
      "docsCaptureSetShouldEnableRetries";
  static const String DOCS_CAPTURE_SET_UI_STRINGS = "docsCaptureSetUIStrings";
  static const String DOCS_CAPTURE_START = "docsCaptureStart";

  //hvface constant strings
  static const String FACE_CAPTURE_START = "faceCaptureStart";
  static const String FACE_CAPTURE_SET_LIVENESS_ENDPOINT =
      "faceCaptureSetLivenessEndpoint";
  static const String FACE_CAPTURE_SET_SHOULD_RETURN_FULL_IMAGE_URL =
      "faceCaptureSetShouldReturnFullImageUrl";
  static const String FACE_CAPTURE_SET_SHOULD_SHOW_CAMERA_SWITCH_BUTTON =
      "faceCaptureSetShouldShowCameraSwitchButton";
  static const String FACE_CAPTURE_SET_SHOULD_SHOW_INSTRUCTION_PAGE =
      "faceCaptureSetShouldShowInstructionPage";
  static const String FACE_CAPTURE_SET_LIVENESS_MODE =
      "faceCaptureSetLivenessMode";
  static const String FACE_CAPTURE_SET_FACE_CAPTURE_TITLE =
      "faceCaptureSetFaceCaptureTitle";
  static const String FACE_CAPTURE_SET_SHOULD_USE_BACK_CAMERA =
      "faceCaptureSetShouldUseBackCamera";
  static const String FACE_CAPTURE_SET_SHOULD_ADD_PADDING =
      "faceCaptureSetShouldAddPadding";
  static const String FACE_CAPTURE_SET_PADDING = "faceCaptureSetPadding";
  static const String FACE_CAPTURE_SET_LIVENESS_API_PARAMETERS =
      "faceCaptureSetLivenessAPIParameters";
  static const String FACE_CAPTURE_SET_LIVENESS_API_HEADERS =
      "faceCaptureSetLivenessAPIHeaders";
  static const String FACE_CAPTURE_SET_SHOULD_HANDLE_RETRIES =
      "faceCaptureSetShouldHandleRetries";
  static const String FACE_CAPTURE_SET_UI_STRINGS = "faceCaptureSetUIStrings";
}
